org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerV3d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer<ObjectMapper>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerV3d0

- All Implemented Interfaces:
    MessageSerializer<ObjectMapper>, MessageTextSerializer<ObjectMapper>

      public final class GraphSONMessageSerializerV3d0
      extends AbstractGraphSONMessageSerializerV2d0
      implements MessageTextSerializer<ObjectMapper>

  Serialize results to JSON with version 3.0.x schema and the extended module.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `AbstractGraphSONMessageSerializerV2d0.GremlinServerModule, AbstractGraphSONMessageSerializerV2d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `mapper`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerV3d0()` Creates a default GraphSONMessageSerializer.
    `GraphSONMessageSerializerV3d0(GraphSONMapper.Builder mapperBuilder)` Create a GraphSONMessageSerializer with a provided `GraphSONMapper.Builder`.
    `GraphSONMessageSerializerV3d0(GraphSONMapper mapper)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage` | `deserializeRequest(String msg)` Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(String msg)` Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.
    `String` | `serializeRequestAsString(RequestMessage requestMessage)`
    `String` | `serializeResponseAsString(ResponseMessage responseMessage)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `configure, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `configure, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerV3d0

          public GraphSONMessageSerializerV3d0()

      Creates a default GraphSONMessageSerializer.

      By default this will internally instantiate a `GraphSONMapper` and register a `GremlinServerModule` and `GraphSONXModuleV3d0` to the mapper.

      See Also:
        `GraphSONMessageSerializerV3d0(GraphSONMapper.Builder)`

    - #### GraphSONMessageSerializerV3d0

          @Deprecated
          public GraphSONMessageSerializerV3d0(GraphSONMapper mapper)

      Deprecated.
      Create a GraphSONMessageSerializer from a `GraphSONMapper`. Deprecated, use `GraphSONMessageSerializerV3d0(GraphSONMapper.Builder)` instead.

    - #### GraphSONMessageSerializerV3d0

          public GraphSONMessageSerializerV3d0(GraphSONMapper.Builder mapperBuilder)

      Create a GraphSONMessageSerializer with a provided `GraphSONMapper.Builder`. Note that to make this mapper usable in the context of request messages and responses, this method will automatically register a `GremlinServerModule` to the provided mapper.

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.
      Specified by:
        `mimeTypesSupported` in interface `MessageSerializer<ObjectMapper>`

    - #### deserializeResponse

          public ResponseMessage deserializeResponse(String msg)
                                              throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Specified by:
        `deserializeResponse` in interface `MessageSerializer<ObjectMapper>`
      Specified by:
        `deserializeResponse` in interface `MessageTextSerializer<ObjectMapper>`
      Overrides:
        `deserializeResponse` in class `AbstractGraphSONMessageSerializerV2d0`
      Throws:
        `SerializationException`

    - #### serializeResponseAsString

          public String serializeResponseAsString(ResponseMessage responseMessage)
                                           throws SerializationException

      Specified by:
        `serializeResponseAsString` in interface `MessageTextSerializer<ObjectMapper>`
      Throws:
        `SerializationException`

    - #### deserializeRequest

          public RequestMessage deserializeRequest(String msg)
                                            throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Specified by:
        `deserializeRequest` in interface `MessageSerializer<ObjectMapper>`
      Specified by:
        `deserializeRequest` in interface `MessageTextSerializer<ObjectMapper>`
      Overrides:
        `deserializeRequest` in class `AbstractGraphSONMessageSerializerV2d0`
      Throws:
        `SerializationException`

    - #### serializeRequestAsString

          public String serializeRequestAsString(RequestMessage requestMessage)
                                          throws SerializationException

      Specified by:
        `serializeRequestAsString` in interface `MessageTextSerializer<ObjectMapper>`
      Throws:
        `SerializationException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.